<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Model 
{

    protected $table = 'users';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function socials()
    {
        return $this->hasMany('Social');
    }

    public function details()
    {
        return $this->hasMany('UserDetail');
    }

    public function throttles()
    {
        return $this->hasMany('Throttle');
    }

    public function groups()
    {
        return $this->belongsToMany('Group', 'users_groups');
    }

}